Subject: bug#44644: /tmp/emacs0/ not cleaned up upon exit

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Nov 2020 08:48:30 +0100

Eli Zaretskii <[email-masked]> writes:

> At most, yes.  The problem is, it isn't easy to know when the
> directory is under /tmp (we don't use temporary-file-directory, for
> the reasons explained in the comment to server-socket-dir).  Maybe we
> should put some special property on server-dir when that is the case?

Did you mean server-socket-dir instead of server-dir here?  Yes, I guess
that'd be possible, but the user may change server-socket-dir without
changing the property...

We could literally just check whether the parent of server-socket-dir is
"/tmp" and only delete then.  It'd be pretty defensive, but should fix
this minor annoyance.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no